<span class="action-area">
    <% if (typeof user != "undefined") { %>
    <a class="subtle-text show-on-hover-target modal-trigger"
       target="thread-modal"
       source="/thread-view?thread=<%=message.threadId%>"
       title="view conversation">
        <i class="fa fa-comments btn" aria-hidden="true"></i>
    </a>

    <% if (message.sender.profileAddress == user.profileAddress) { %>
        <% if (message.messageType == "repost") { %>
        <div class="btn inline-delete-action show-on-hover-target" title="Un-repost" style="position: relative">
            <i class="fa fa-retweet subtle-text" aria-hidden="true"></i>
            <i class="fa fa-times text-danger"
               aria-hidden="true"
               style="position: absolute; bottom: 4px; right: 7px;"></i>
        </div>
        <% } else { %>
        <i class="fa fa-trash-o text-danger btn inline-delete-action show-on-hover-target" aria-hidden="true" title="delete"></i>
        <% } %>
    <% } else { %>
        <i class="fa fa-retweet btn subtle-text inline-repost-intent-action show-on-hover-target" aria-hidden="true" title="repost"></i>
    <% } %>

    <i class="fa fa-reply btn subtle-text inline-reply-action show-on-hover-target" aria-hidden="true"  title="reply"></i>
    <div class="flex-row">
        <div id="player-tip-button"
             class="tip-button btn-xs clickable <%=textClass%>"
             style=""
             recipient="<%=message.sender.profileAddress%>"
             amount="1"
             on-success="refreshMessageList()"
             text-success=':)'
             text-fail=":("
             text-default='<%-icon%>'
             text-pending='<%-pendingIcon%>'
             context-type="TrackMessage"
             title="Send 1 musicoin to <%=message.sender.name%> for this comment"
             context-id="<%=message.id%>">
            <%-icon%>
        </div>
        <div class="subtle-text big-screen-only"><%= message.tips > 0 ? `(${message.tips})` : ""%>&nbsp;</div>
    </div>
    <% } %>
</span>